> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve registrations

> Retrieve all registrations in network.



## OpenAPI

````yaml /assets/openapi.json get /registrations/v1
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /registrations/v1:
    get:
      tags:
        - Registrations
      summary: Retrieve registrations
      description: Retrieve all registrations in network.
      operationId: getRegistrations
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
            format: int64
            minimum: 1
            maximum: 100
            default: 25
          description: The number of items to return
        - in: query
          name: nextPageToken
          schema:
            $ref: '#/components/schemas/nextPageToken'
          description: Token to retrieve the next page of results.
          required: false
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  registrations:
                    type: array
                    items:
                      $ref: '#/components/schemas/registration'
                  nextPageToken:
                    $ref: '#/components/schemas/nextPageToken'
                  searchQueryNext:
                    $ref: '#/components/schemas/searchQueryNext'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2: []
components:
  schemas:
    nextPageToken:
      type: string
      description: >-
        Opaque cursor token for retrieving the next page of results. Pass this
        value as the `nextPageToken` query parameter in your next request.
    registration:
      type: object
      properties:
        blacklisted:
          description: Whether the user email is on the network blacklist.
          type: boolean
        createDate:
          description: ISO timestamp of when the registration was created.
          type: string
          format: date-time
        customers:
          description: Customer memberships linked to the user in the network.
          type: array
          items:
            type: object
            properties:
              id:
                description: Unique identifier of the customer membership.
                type: string
                format: uuid
              membershipType:
                description: Type of membership for the user in the network.
                type: string
                enum:
                  - member
                  - nonmember
                  - none
              organizationRef:
                description: ID of the organization the customer belongs to.
                type: string
                format: uuid
            required:
              - id
              - membershipType
              - organizationRef
            additionalProperties: false
        id:
          description: Unique identifier of the registration.
          type: string
          format: uuid
        lastSeenDate:
          description: ISO timestamp of when the user was last seen in the network.
          type: string
          format: date-time
        locationPermissions:
          description: >-
            Location-scoped admin permissions. Included only for owners or when
            viewing the current user's registration.
          type: object
          properties:
            admins:
              description: Whether the admin can manage other admins.
              type: boolean
            allLocations:
              description: Whether permissions apply to all locations.
              type: boolean
            analytics:
              description: Whether the admin can access analytics.
              type: boolean
            benefits:
              description: Whether the admin can manage benefits.
              type: boolean
            billing:
              description: Whether the admin can manage billing.
              type: boolean
            bookings:
              description: Whether the admin can manage bookings.
              type: boolean
            customers:
              description: Whether the admin can manage customers.
              type: boolean
            events:
              description: Whether the admin can manage events.
              type: boolean
            exclusiveLocations:
              description: Location IDs where permissions are limited.
              type: array
              items:
                type: string
                format: uuid
            feed:
              description: Whether the admin can manage the feed.
              type: boolean
            settings:
              description: Whether the admin can change network settings.
              type: boolean
            shop:
              description: Whether the admin can manage the shop.
              type: boolean
            support:
              description: Whether the admin can access support tools.
              type: boolean
          required:
            - admins
            - allLocations
            - analytics
            - benefits
            - billing
            - bookings
            - customers
            - events
            - exclusiveLocations
            - feed
            - settings
            - shop
            - support
          additionalProperties: false
        privacyConsentDate:
          description: ISO timestamp or date when privacy consent was given.
          type: string
        role:
          description: Role of the user in the network.
          type: string
          enum:
            - owner
            - admin
            - member
        termsConsentDate:
          description: ISO timestamp or date when terms consent was given.
          type: string
        user:
          description: Profile details of the registered user.
          type: object
          properties:
            about:
              description: About text of the user.
              nullable: true
              type: string
            deleteDate:
              description: ISO timestamp when the user account was deleted.
              nullable: true
              type: string
              format: date-time
            email:
              description: Email address of the user.
              type: string
            id:
              description: Unique identifier of the user.
              type: string
              format: uuid
            name:
              description: First name of the user.
              type: string
            phoneNumber:
              description: Phone number of the user.
              nullable: true
              type: string
            photoUrl:
              description: Profile photo URL of the user.
              nullable: true
              type: string
            surname:
              description: Surname of the user.
              nullable: true
              type: string
          required:
            - email
            - id
            - name
            - photoUrl
          additionalProperties: false
      required:
        - blacklisted
        - createDate
        - customers
        - id
        - user
      additionalProperties: false
    searchQueryNext:
      type: string
      description: >-
        Pre-built query string for the next page of results. Contains all active
        filter parameters combined with the next page token, ready to append to
        the endpoint URL.
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read invoices
            invoices: Read and write invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````